﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Net;
using SnmpSharpNet;
using System.Collections;
using MySql.Data.MySqlClient;
using System.Data;

namespace Snmp2Mysql
{


    class Program
    {
        static void Main(string[] args)
        {
            SnmpGetter snmpGetter = new SnmpGetter("public", "127.0.0.1");
            snmpGetter.AddOid(1, "1.3.6.1.2.1.1.1.0");
            snmpGetter.AddOid(2, "1.3.6.1.2.1.1.3.0");
            SnmpGetterResultProvider res = snmpGetter.Exec();

            foreach (SnmpGetterResult r in res)
            {
                Console.WriteLine("{0} {1} {2}: {3}", r.Index, r.Oid, r.Type, r.Value);
            }



            MySqlConnection conn = null;
            try
            {
                // Create Connection String from Input data
                string myConnectionString = "SERVER=localhost;" +
                                            "DATABASE=testdb;" +
                                            "UID=testuser;" +
                                            "PASSWORD=test123;";

                conn = new MySqlConnection(myConnectionString);
                conn.Open();
                if (conn.State == ConnectionState.Open)
                {
                    Console.WriteLine("Connection Established");

                    string stmt = "SELECT * FROM testtable";
                    MySqlCommand cmd = new MySqlCommand(stmt, conn);
                    MySqlDataReader reader = cmd.ExecuteReader();

                    while (reader.Read())
                    {
                        Console.WriteLine("{0} {1}", reader[0], reader[1]);
                    }

                    reader.Close();

                }
            }
            catch (MySql.Data.MySqlClient.MySqlException ex)
            {
                Console.WriteLine("MySQL Exception: {0}", ex.Message);
            }
            catch (Exception ex)
            {
                Console.WriteLine("Unknown Exception: {0}", ex.Message);
            }
            finally
            {
                if (conn != null)
                {
                    conn.Close();
                    conn = null;
                }
            }






        }
    }
}
